import request from '@/utils/request'

// 查询故障案例查看次数管理列表
export function listCount(query) {
  return request({
    url: '/system/count/list',
    method: 'get',
    params: query
  })
}

// 查询故障案例查看次数管理详细
export function getCount(id) {
  return request({
    url: '/system/count/' + id,
    method: 'get'
  })
}

// 新增故障案例查看次数管理
export function addCount(data) {
  return request({
    url: '/system/count',
    method: 'post',
    data: data
  })
}

// 修改故障案例查看次数管理
export function updateCount(data) {
  return request({
    url: '/system/count',
    method: 'put',
    data: data
  })
}

// 删除故障案例查看次数管理
export function delCount(id) {
  return request({
    url: '/system/count/' + id,
    method: 'delete'
  })
}
